Skip to main content
PATCH
/
api
/
v1
/
teams
/
{team_id}
/
hubs
/
{hub_id}
/
automations
/
{automation_id}
Update Automation
curl --request PATCH \
  --url https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/automations/{automation_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "data": {
    "attributes": {
      "definition": {
        "nodes": [
          {
            "config": {
              "context_keys": [
                "<string>"
              ],
              "template_id": "<string>",
              "template_ref": "<string>"
            },
            "id": "<string>",
            "type": "<string>"
          }
        ],
        "edges": [
          {
            "from": "<string>",
            "to": "<string>",
            "branch_label": "<string>"
          }
        ],
        "triggers": [
          {
            "event_type": "<string>",
            "entry_filter": {
              "groups": [
                {
                  "conditions": [
                    {
                      "operator": "<string>",
                      "type": "<string>",
                      "value": {
                        "text": "<string>"
                      }
                    }
                  ],
                  "logic": "<string>"
                }
              ],
              "version": 123
            }
          }
        ]
      },
      "name": "<string>",
      "re_entry_interval_seconds": 123,
      "settings": {}
    },
    "type": "<string>"
  }
}
'
{
  "data": {
    "attributes": {
      "created_at": "2023-11-07T05:31:56Z",
      "created_by": "<string>",
      "current_version_id": "<string>",
      "hub_id": "<string>",
      "name": "<string>",
      "re_entry_interval_seconds": 123,
      "re_entry_mode": "<string>",
      "settings": {},
      "status": "<string>",
      "team_id": "<string>",
      "updated_at": "2023-11-07T05:31:56Z",
      "deleted_at": "2023-11-07T05:31:56Z"
    },
    "id": "<string>",
    "type": "automations"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required
hub_id
string
required
automation_id
string
required

Body

application/vnd.api+json
data
AutomationUpdateResource · object
required

Response

Successful Response

data
AutomationResource · object
required